Record repair hazard
curl --request POST \
--url https://api.sortx.co.uk/maintenance-pro/repairs/{id}/hazard \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"expectedRevision": 4503599627370495,
"investigatedAt": "<string>",
"hazardFound": true,
"summarySentAt": "<string>",
"safetyWorkStartedAt": "<string>",
"safetyWorkCompletedAt": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: '<string>',
expectedRevision: 4503599627370495,
investigatedAt: '<string>',
hazardFound: true,
summarySentAt: '<string>',
safetyWorkStartedAt: '<string>',
safetyWorkCompletedAt: '<string>'
})
};
fetch('https://api.sortx.co.uk/maintenance-pro/repairs/{id}/hazard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/repairs/{id}/hazard"
payload = {
"requestId": "<string>",
"expectedRevision": 4503599627370495,
"investigatedAt": "<string>",
"hazardFound": True,
"summarySentAt": "<string>",
"safetyWorkStartedAt": "<string>",
"safetyWorkCompletedAt": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"repairId": "<string>",
"status": "hazard",
"decision": "emergency",
"level": "emergency",
"provisional": true,
"dampAndMould": true,
"regime": "private",
"basis": "statutory",
"basisLabel": "<string>",
"policyVersion": "<string>",
"reportedAt": "<string>",
"decidedAt": "<string>",
"milestones": {
"investigatedAt": "<string>",
"hazardFound": true,
"summarySentAt": "<string>",
"safetyWorkStartedAt": "<string>",
"safetyWorkCompletedAt": "<string>"
},
"clocks": [
{
"kind": "investigate",
"label": "<string>",
"dueAt": "<string>",
"doneAt": "<string>",
"state": "waiting"
}
],
"attention": "overdue",
"revision": 123
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}maintenance-pro
Record repair hazard
Record whether a repair is a hazard and its investigation, written summary and safety work
POST
/
maintenance-pro
/
repairs
/
{id}
/
hazard
Record repair hazard
curl --request POST \
--url https://api.sortx.co.uk/maintenance-pro/repairs/{id}/hazard \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"expectedRevision": 4503599627370495,
"investigatedAt": "<string>",
"hazardFound": true,
"summarySentAt": "<string>",
"safetyWorkStartedAt": "<string>",
"safetyWorkCompletedAt": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: '<string>',
expectedRevision: 4503599627370495,
investigatedAt: '<string>',
hazardFound: true,
summarySentAt: '<string>',
safetyWorkStartedAt: '<string>',
safetyWorkCompletedAt: '<string>'
})
};
fetch('https://api.sortx.co.uk/maintenance-pro/repairs/{id}/hazard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/repairs/{id}/hazard"
payload = {
"requestId": "<string>",
"expectedRevision": 4503599627370495,
"investigatedAt": "<string>",
"hazardFound": True,
"summarySentAt": "<string>",
"safetyWorkStartedAt": "<string>",
"safetyWorkCompletedAt": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"repairId": "<string>",
"status": "hazard",
"decision": "emergency",
"level": "emergency",
"provisional": true,
"dampAndMould": true,
"regime": "private",
"basis": "statutory",
"basisLabel": "<string>",
"policyVersion": "<string>",
"reportedAt": "<string>",
"decidedAt": "<string>",
"milestones": {
"investigatedAt": "<string>",
"hazardFound": true,
"summarySentAt": "<string>",
"safetyWorkStartedAt": "<string>",
"safetyWorkCompletedAt": "<string>"
},
"clocks": [
{
"kind": "investigate",
"label": "<string>",
"dueAt": "<string>",
"doneAt": "<string>",
"state": "waiting"
}
],
"attention": "overdue",
"revision": 123
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Body
application/json
Required string length:
1 - 200Required range:
0 <= x <= 9007199254740991Available options:
emergency, significant, not-hazard Response
Success
Available options:
hazard, candidate, not-hazard, none Available options:
emergency, significant, not-hazard Available options:
emergency, significant Available options:
private, social Available options:
statutory, best-practice Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
overdue, due-soon